package com.example.delivery;

import org.springframework.cloud.stream.annotation.Input;
import org.springframework.cloud.stream.annotation.Output;
import org.springframework.messaging.MessageChannel;
import org.springframework.messaging.SubscribableChannel;
public interface StreamProcessor {
    String INPUT = "input";
    String OUTPUT = "output";
    @Input(INPUT)
    SubscribableChannel input();
    @Output(OUTPUT)
    MessageChannel output();
}